%define anolis_release 2
Name:          enchant2
Version:       2.5.0
Release:       %{anolis_release}%{dist}
Summary:       An Enchanting Spell Checking Library

License:       LGPLv2+
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: glib2-devel
BuildRequires: aspell-devel
BuildRequires: hunspell-devel
BuildRequires: libvoikko-devel
BuildRequires: make
BuildRequires: groff-base

Provides:      bundled(gnulib)
Conflicts:     enchant2-devel < 2.5.0


%description
A library that wraps other spell checking backends.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package aspell
Summary:       Integration with aspell for libenchant
Requires:      enchant2 = %{EVR}
Supplements:   (enchant2 and aspell)

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.

%package voikko
Summary:       Integration with voikko for libenchant
Requires:      enchant2 = %{EVR}
Supplements:   (enchant2 and langpacks-fi)

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.


%package devel
Summary:       Development files for %{name}
Requires:      enchant2 = %{EVR}
Requires:      glib2-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n enchant-%{version}

%build
%configure \
    --with-aspell \
    --with-hunspell-dir=%{_datadir}/myspell \
    --without-hspell \
    --disable-static \
    --docdir=%{_defaultdocdir}/%{name}
%make_build pkgdatadir=%{_datadir}/enchant-2


%install
%make_install pkgdatadir=%{_datadir}/enchant-2

%generate_compatibility_deps

%files
%license COPYING.LIB
%dir %{abidir}
%{_bindir}/enchant-2
%{_bindir}/enchant-lsmod-2
%{_libdir}/libenchant-2.so.*
%dir %{_libdir}/enchant-2
%{_libdir}/enchant-2/enchant_hunspell.so
%{_mandir}/man1/*
%{_datadir}/enchant-2
%{abidir}/enchant-lsmod-2-option.list
%{abidir}/enchant_hunspell.dump
%{abidir}/libenchant-2.dump

%files doc
%doc AUTHORS NEWS README
%doc %{_defaultdocdir}/%{name}/enchant.html
%doc %{_defaultdocdir}/%{name}/enchant-2.html
%doc %{_defaultdocdir}/%{name}/enchant-lsmod-2.html

%files aspell
%{_libdir}/enchant-2/enchant_aspell.so*
%{abidir}/enchant_aspell.dump

%files voikko
%{_libdir}/enchant-2/enchant_voikko.so*
%{abidir}/enchant_voikko.dump

%files devel
%{_libdir}/libenchant-2.so
%{_libdir}/pkgconfig/enchant-2.pc
%{_includedir}/enchant-2
%{_mandir}/man5/enchant.5*

%changelog
* Tue Oct 31 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 2.5.0-2
- fix command groff can not found when build

* Sun Aug 6 2023 Funda Wang <fundawang@yeah.net> - 2.5.0-1
- New version 2.5.0

* Tue Feb 07 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 2.3.3-1
- optimize spec and add bugfix

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.3.3-1
- update to 2.3.3

* Tue Apr 12 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.3.2-1
- Init package from upstream v2.3.2
